Some C-MAP chart users require GPS-rollover software update to ensure Lowrance GPS functionality

Due to an April 6, 2019, GPS rollover Event, some C-MAP chart users will need to download and install updated software to ensure proper functionality of their Lowrance sonar/GPS units.

If you have one of the following Lowrance units a software update is required: Lowrance HDS Gen1, Lowrance HDS Gen2, Lowrance HDS Gen2 Touch, Lowrance Elite HDI, Lowrance Elite CHIRP, Lowrance HOOK, Lowrance Hook2 (9- and12-inch models only).

The requisite software update can be downloaded from here.

2 thoughts on “Some C-MAP chart users require GPS-rollover software update to ensure Lowrance GPS functionality

  1. Hello. I tried to update my subscription to the edge. I was hoping to take advantage of the 10$ discount. Every time I have tried to subscribe I not able to put in my expiration date in the form. Not sure why.

    1. David

      I have forwarded your issue to a colleague on the QC team. I will post his reply as soon as I receive it. — Greg

Comments are closed.